Subject: [NOBBC] Windscreen glass replacement for MGA

From: MARK DARLEY <[email-masked]>
Date: Thu, 23 Jan 2020 08:29:40 -0800

Does anyone have direct experience replacing the glass for a MGA windscreen?

I have the new glass and need to wrestle it into the frame. I understand it needs two pairs of hands, and some tricks.  Anyone want to lend me a pair of hands?

I am in Mill Valley/Inverness but could bring the car to you.

Mark
415 310 5252

Mark Darley

311 Seymour Lane
Mill Valley
CA 94941, USA
Cell:  415-310 5252

and 

1 Gatcombe House
Littlehempston
Totnes Devon TQ9 6LW
UK
Cell: +44 (0)7572 180117
Land: +44 (0)1803 868877

Mark Darley
[email-masked]

311 Seymour Lane
Mill Valley
CA 94941, USA
Cell:  415-310 5252

and 

1 Gatcombe House
Littlehempston
Totnes Devon TQ9 6LW
UK
Cell: +44 (0)7572 180117
Land: +44 (0)1803 868877

_______________________________________________
[email-masked]
Archive: http://www.team.net/archive